/// <reference types="vite/client" />

declare interface ImportMetaEnv {
    readonly VITE_APP_BASE_API: string
    readonly VITE_APP_TITLE: string
    readonly VITE_API_BASE_URL: string
    readonly VITE_NODE_ENV: string
    readonly VITE_TITLE_NAME: string
}

interface ImportMeta {
    readonly env: ImportMetaEnv
}
declare module '*.svg' {
    const content: any
    export default content
}
declare module '.*' {
    const value: any
    export default value
}
declare module '*.tsx'
declare module '*.svg'
declare module '*.png'
declare module '*.jpg'
declare module '*.jpeg'
declare module '*.gif'
declare module '*.bmp'
declare module '*.tiff'
